package org.jpublish.servlet;

import java.util.Enumeration;

import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpSessionContext;

public class HttpSessionWrap implements HttpSession{

	public HttpSessionWrap(HttpSession session){
		this.session = session;
	}

	public long getCreationTime(){
		return session.getCreationTime();
	}
	
	public String getId(){
		return session.getId();
	}
	
	public long getLastAccessedTime(){
		return session.getLastAccessedTime();
	}
	
	public boolean isNew(){
		return session.isNew();
	}
	
	public int getMaxInactiveInterval(){
		return session.getMaxInactiveInterval();
	}
	
	public void setMaxInactiveInterval(int interval){
		session.setMaxInactiveInterval(interval);
	}
	
	public Object getAttribute(String name){
		return session.getAttribute(name);
	}
	
	public Enumeration getAttributeNames(){
		return session.getAttributeNames();
	}
	
	public void setAttribute(String name, Object value){
		session.setAttribute(name, value);
	}
	
	public void removeAttribute(String name){
		session.removeAttribute(name);
	}
	
	public void invalidate(){
		session.invalidate();
	}
	
	public Object getValue(String name){
		return session.getValue(name);
	}
	
	public String[] getValueNames(){
		return session.getValueNames();
	}
	
	public void putValue(String name, Object value){
		session.putValue(name, value);
	}
	
	public void removeValue(String name){
		session.removeValue(name);
	}
	
	public HttpSessionContext getSessionContext(){
		return session.getSessionContext();
	}
	
	private HttpSession session;

}
