package org.jpublish.example;

import org.apache.log4j.Category;

import org.formproc.FormElement;
import org.formproc.validation.AbstractFormValidator;
import org.formproc.validation.ValidationResult;

public class UsernameValidator extends AbstractFormValidator{

	public ValidationResult validate(FormElement formElement) throws Exception{
		log.debug("Validating " + formElement.getName());
		if(formElement.getValue().length() > 4){
			log.debug("Value is valid.");
			return new ValidationResult(formElement, true);
		} else {
			log.debug("Value is NOT valid.");
			return new ValidationResult(formElement, false, "Username must be longer than 4 characters.");
		}
	}
	
	private static final Category log = Category.getInstance(UsernameValidator.class.getName());

}
